Package org.kapott.hbci.concurrent

# Class HBCIRunnable

java.lang.Object
org.kapott.hbci.concurrent.HBCIRunnable

All Implemented Interfaces:
  `Runnable`

public abstract class HBCIRunnable extends Object implements Runnable
Basis-Klasse für Implementierungen von `Runnable`, die typische Aufgaben mit einem `HBCIPassport` ausführen sollen.

Implementierungen müssen die Methode `execute()` ergänzen.

Bei Ausführung einer solchen `Runnable` passiert folgendes:

1. {@link HBCIUtils.initThread(properties, callback)} wird mit den Parametern aus dem Constructor aufgerufen.
2. Das Passport wird von der `HBCIPassportFactory` abgefragt und darüber wird der `HBCIHandler` erzeugt.
3. `execute()` wird aufgerufen.
`HBCIPassport` und `HBCIHandler` sind über die Variablen `passport` bzw. `handler` verfügbar.
4. Abschließend werden Handler und Passport geschlossen, sowie `HBCIUtils.doneThread()` aufgerufen.

Author:
  Hendrik Schnepel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected HBCIHandler`
`handler`
`protected HBCIPassport`
`passport`

## Constructor Summary

Constructors
Constructor
Description
`HBCIRunnable(Properties properties, HBCICallback callback, HBCIPassportFactory passportFactory)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`execute()`
`final void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### passport

protected HBCIPassport passport

### handler

protected HBCIHandler handler

## Constructor Details

### HBCIRunnable

public HBCIRunnable(Properties properties, HBCICallback callback, HBCIPassportFactory passportFactory)

## Method Details

### run

public final void run()

Specified by:
  `run` in interface `Runnable`

### execute

protected abstract void execute() throws Exception

Throws:
  `Exception`